package cn.zhangdeman;

// 自定义异常
public class CustomException extends RuntimeException {
    private final Object code; // 错误码
    private final String message; // 异常信息
    private final Object data; // 异常数据
    public CustomException(String message) {
        super(message);
        this.code = -1;
        this.data = null;
        this.message = message;
    }

    // 根据code与
    public CustomException(Object code, Object data) {
        this.code = code;
        this.message = ""; // TODO : 根据code初始化Message
        this.data = data;
    }
    public CustomException(Object code, String message, Object data) {
        this.code = code;
        this.message = message;
        this.data = data;
    }

    public Object getData() {
        return this.data;
    }
}